Subject: Re: Digest Headers: digest-algorithms "last call"

From: "Martin Thomson" <[email-masked]>
Date: Mon, 04 Jan 2021 09:38:36 +1100

Hi Roberto,

On Tue, Dec 29, 2020, at 02:37, Roberto Polli wrote:
> The deprecation of `sum`, `cksum`, and `unixcksum`.

The original design of Digest might have had reason to use these (and maybe CRC-32[c]/ADLER32).  HTTP over unprotected TCP lacks even basic protection against transfer corruption, so it makes sense to include something like this.  With HTTPS, transfers are abundantly protected against such errors, so the main reason to use Digest is as a hook for other things (like signatures).  The only things I can think of require properties like collision and preimage resistance.  On that basis, anything short of SHA-2 isn't good enough.

> ## Reserve the `id-` prefix  for digest-algorithms
> 
> I think this should better suit this other I-D

👍  Easier to keep that in the one place rather than have to explain something that you don't define.